Information on source package libproxy

Available versions

ReleaseVersion
stretch0.4.14-2
stretch (security)0.4.14-2+deb9u1
buster0.4.15-5
bullseye0.4.15-13
sid0.4.15-14

Open issues

BugstretchbusterbullseyesidDescription
CVE-2020-26154vulnerablevulnerablevulnerablevulnerableurl.cpp in libproxy through 0.4.15 is prone to a buffer overflow when ...
CVE-2020-25219fixedvulnerable (no DSA)vulnerablevulnerableurl::recvline in url.cpp in libproxy 0.4.x through 0.4.15 allows a rem ...

Resolved issues

BugDescription
CVE-2012-5580Format string vulnerability in the print_proxies function in bin/proxy ...
CVE-2012-4505Heap-based buffer overflow in the px_pac_reload function in lib/pac.c ...
CVE-2012-4504Stack-based buffer overflow in the url::get_pac function in url.cpp in ...

Security announcements

DSA / DLADescription
DLA-2372-1libproxy - security update
DSA-2571-1libproxy - buffer overflow

Search for package or bug name: Reporting problems